=== src/backend/CMakeLists.txt ===
set(BACKEND_SRC
    backend/corebackendmanager.cpp
    backend/corebackenddevice.cpp
    backend/corebackend.cpp
    backend/corebackendpartitiontable.cpp
)

set(BACKEND_LIB_HDRS
    backend/corebackend.h
    backend/corebackendmanager.h
)
