=== src/gui/CMakeLists.txt ===
set(GUI_SRC
    gui/partresizerwidget.cpp
    gui/partwidget.cpp
    gui/partwidgetbase.cpp
)

set(GUI_LIB_HDRS
    gui/partresizerwidget.h
    gui/partwidget.h
    gui/partwidgetbase.h
)
