=== src/plugins/CMakeLists.txt ===
# Copyright (C) 2010 by Volker Lanz <vl@fidra.de>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

############################################

if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    option(PARTMAN_SFDISKBACKEND "Build the sfdisk backend plugin." ON)

    if (PARTMAN_SFDISKBACKEND)
        add_subdirectory(sfdisk)
    endif (PARTMAN_SFDISKBACKEND)
endif()

option(PARTMAN_DUMMYBACKEND "Build the dummy backend plugin." ON)

if (PARTMAN_DUMMYBACKEND)
    add_subdirectory(dummy)
endif (PARTMAN_DUMMYBACKEND)
