=== src/core/raid/CMakeLists.txt ===
set(RAID_SRC
    core/raid/softwareraid.cpp
)

set(RAID_LIB_HDRS
    core/raid/softwareraid.h
)
