=== debian/changelog ===
kpmcore (4.1.0-2) unstable; urgency=medium

  * Fix libkpmcore dependency

 -- Jonathan Carter <jcc@debian.org>  Thu, 20 Feb 2020 10:51:08 +0200

kpmcore (4.1.0-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.5.0
  * Declare Rules-Requires-Root
  * Update copyright years
  * Bump soname version to kpmcore9

 -- Jonathan Carter <jcc@debian.org>  Mon, 10 Feb 2020 09:18:41 +0200

kpmcore (4.0.1-2) unstable; urgency=medium

  [ Alf Gaida ]
  * libqca-qt5-2-plugins is a dependency for libkpmcore8, not a build-dependency
  * Added missed override_dh_missing
  * Install missed directories to libkpmcore8
    (Closes: #942522, #942528)
  * Removed FindLIBPARTED.cmake from d/copyright - file isn't provided anymore

  [ Jonathan Carter ]
  * Upload to unstable

 -- Alf Gaida <agaida@siduction.org>  Thu, 17 Oct 2019 17:30:09 +0200
