=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,22 +1,14 @@
-# Copyright (C) 2008, 2012 by Volker Lanz <vl@fidra.de>
-# Copyright (C) 2015       by Teo Mrnjavac <teo@kde.org>
-#
-# This program is free software; you can redistribute it and/or
-# modify it under the terms of the GNU General Public License as
-# published by the Free Software Foundation; either version 3 of
-# the License, or (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+# SPDX-FileCopyrightText: 2008,2012 Volker Lanz <vl@fidra.de>
+# SPDX-FileCopyrightText: 2015 Teo Mrnjavac <teo@kde.org>
+# SPDX-FileCopyrightText: 2014-2020 Andrius Štikonas <andrius@stikonas.eu>
 
-############################################
+# SPDX-License-Identifier: GPL-3.0-or-later
 
 add_definitions(-DTRANSLATION_DOMAIN=\"kpmcore\")
+
+include_directories(
+    ${BLKID_INCLUDE_DIRS}
+)
 
 include(backend/CMakeLists.txt)
 include(core/CMakeLists.txt)
@@ -45,12 +37,15 @@
     ${BLKID_LIBRARIES}
     Qt5::DBus
     Qt5::Gui
-    qca-qt5
     KF5::I18n
     KF5::CoreAddons
     KF5::WidgetsAddons
-    KF5::AuthCore
 )
+generate_export_header(kpmcore
+    BASE_NAME LIBKPMCORE
+    EXPORT_FILE_NAME util/libpartitionmanagerexport.h
+)
+list(APPEND UTIL_LIB_HDRS ${CMAKE_CURRENT_BINARY_DIR}/util/libpartitionmanagerexport.h)
 
 install(TARGETS kpmcore EXPORT KPMcoreTargets  ${INSTALL_TARGETS_DEFAULT_ARGS})
 install(FILES ${CORE_LIB_HDRS} DESTINATION ${INCLUDE_INSTALL_DIR}/kpmcore/core/ COMPONENT Devel)
