=== test/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,10 @@
+# SPDX-FileCopyrightText: 2017 Adriaan de Groot <groot@kde.org>
+# SPDX-FileCopyrightText: 2017-2019 Andrius Štikonas <andrius@stikonas.eu>
+# SPDX-FileCopyrightText: 2018 Caio Carvalho <caiojcarvalho@gmail.com>
+# SPDX-FileCopyrightText: 2019 Yuri Chornoivan <yurchor@ukr.net>
+
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 # Tests for KPMcore
 #
 # These are not so much "tests" as "small example programs". They illustrate
@@ -7,7 +14,6 @@
 SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
 set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
 
-include_directories(${CMAKE_SOURCE_DIR}/src)  # To get at KPMcore headers
 add_compile_options(-fPIC)
 
 ###
@@ -16,7 +22,7 @@
 # and to add a test with the given name.
 #
 add_library(testhelpers STATIC helpers.cpp)
-target_link_libraries(testhelpers)
+target_link_libraries(testhelpers PRIVATE kpmcore)
 
 macro (kpm_test name)
     add_executable(${name} ${ARGN})
