=== debian/changelog ===
kpmcore (20.12.3-2) unstable; urgency=medium

  * Backport upstream fix so that S.M.A.R.T. information display always works
    whatever the disk state.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 22 Mar 2021 11:36:09 +0100

kpmcore (20.12.3-1) unstable; urgency=medium

  * New upstream release (20.12.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 08 Mar 2021 23:23:00 +0100

kpmcore (20.12.2-4) unstable; urgency=medium

  * Team upload.
  * Drop unused build dependencies: libatasmart-dev, libkf5auth-dev,
    libparted-dev, libqca-qt5-2-dev, and util-linux
    - drop also the libatasmart-dev dependency in libkpmcore-dev
    - drop also the libqca-qt5-2-plugins dependency in libkpmcore10
  * Enable the build on any architecture (not only Linux ones), as it builds
    fine now.
  * Update symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Fri, 12 Feb 2021 22:15:58 +0100

kpmcore (20.12.2-3) unstable; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Explicitly add the gettext build dependency.
  * Add the missing libkpmcore10 dependency in libkpmcore-dev.
  * Remove the old libkpmcore5, and libkpmcore6 breaks/replaces, as they
    existed only in versions between Stretch and Buster.
  * Do not ship kpmcore._policy_.mo files, as they are helper translations for
    .policy files.

 -- Pino Toscano <pino@debian.org>  Fri, 12 Feb 2021 12:49:57 +0100

kpmcore (20.12.2-2) unstable; urgency=medium

  * Update symbols file for armel and risvc64 specificities.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 12 Feb 2021 09:50:47 +0100

kpmcore (20.12.2-1) unstable; urgency=medium

  * Update upstream GPG signing key.
  * New upstream release (20.12.2).
  * Git ignore generated debian/files.
  * Add min versions to build dependencies according to the upstream build
    system.
  * Drop explicit call to dh_missing --fail-missing, it’s now the default with
    debhelper-compat 13.
  * Add symbols file.
  * Drop breaks/replaces older than 2 stable releases.
  * Add upstream metadata.
  * Move maintainer and repos from extras to kde now that the app is part of
    official KDE apps releases.
  * Update project homepage.
  * Add salsa-ci.yml pipeline file.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 08 Feb 2021 13:39:08 +0100

kpmcore (20.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Tue, 12 Jan 2021 16:58:01 +0200

kpmcore (20.12.0-1) unstable; urgency=medium

  * New upstream release
  * Update watch file (kpmcore is now part of kde release service)
  * Remove patches, now integrated upstream
  * Update standards version to 4.5.1

 -- Jonathan Carter <jcc@debian.org>  Tue, 22 Dec 2020 14:30:08 +0200

kpmcore (4.2.0-2) unstable; urgency=medium

  * Remove explicit dependency polkit-qt1 added in error

 -- Jonathan Carter <jcc@debian.org>  Mon, 19 Oct 2020 11:35:48 +0200

kpmcore (4.2.0-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper-compat to 13
  * Add build-dep: libpolkit-qt5-1-dev
  * Add binary-dep: polkit-qt1
  * Add upstream signing key
  * Add patch to provide local ecm functions
  * Bump soname version to kpmcore10

 -- Jonathan Carter <jcc@debian.org>  Fri, 16 Oct 2020 22:15:39 +0200
