## kpmcore 21.08.0

=== src/jobs/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,10 @@
+# SPDX-FileCopyrightText: 2008,2012 Volker Lanz <vl@fidra.de>
+# SPDX-FileCopyrightText: 2015 Chris Campbell <c.j.campbell@ed.ac.uk>
+# SPDX-FileCopyrightText: 2016 Chantara Tith <tith.chantara@gmail.com>
+# SPDX-FileCopyrightText: 2020 Gaël PORTAY <gael.portay@collabora.com>
+
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 set(JOBS_SRC
     jobs/resizefilesystemjob.cpp
     jobs/createfilesystemjob.cpp
@@ -6,6 +13,9 @@
     jobs/shredfilesystemjob.cpp
     jobs/createpartitionjob.cpp
     jobs/createpartitiontablejob.cpp
+    jobs/setpartitionlabeljob.cpp
+    jobs/setpartitionuuidjob.cpp
+    jobs/setpartitionattributesjob.cpp
     jobs/createvolumegroupjob.cpp
     jobs/removevolumegroupjob.cpp
     jobs/deactivatevolumegroupjob.cpp
