=== debian/changelog ===
kpmcore (21.08.0-1deepin1+rb3) unstable; urgency=medium

  * Update symbols for RISC-V GCC 12

 -- Clansty <i@gao4.pw>  Mon, 09 Jan 2023 07:39:08 +0000

kpmcore (21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 17 Aug 2021 12:38:22 +0900

kpmcore (21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Add myself to uploaders.
  * Drop upstream patch.
  * Bump so-level in accordance with upstream.
  * Update symbols.
  * Add missing breaks/replaces.

 -- Norbert Preining <norbert@preining.info>  Mon, 26 Apr 2021 08:33:25 +0900
