=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Jonathan Carter <jcc@debian.org>,
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.1~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.73~),
@@ -22,12 +23,11 @@
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpmcore
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpmcore.git
 
-Package: libkpmcore10
+Package: libkpmcore11
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-Replaces: libkpmcore4, libkpmcore7, libkpmcore8, libkpmcore9
-Breaks: libkpmcore4, libkpmcore7, libkpmcore8, libkpmcore9
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Replaces: libkpmcore10, libkpmcore4, libkpmcore7, libkpmcore8, libkpmcore9
+Breaks: libkpmcore10, libkpmcore4, libkpmcore7, libkpmcore8, libkpmcore9
 Description: KDE Partition Manager Core
  KDE Parition Partition Manager Core (KPM core) allows
  software to re-use common partitioning GUI tasks.
@@ -39,9 +39,7 @@
 Package: libkpmcore-dev
 Section: libdevel
 Architecture: any
-Depends: libkpmcore10 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: libkpmcore11 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Replaces: libkpmcore4-dev
 Description: KDE Partition Manager Core development files
  KDE Parition Partition Manager Core (KPM core) allows
