## kpmcore 21.08.1

=== debian/changelog ===
kpmcore (21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:37:19 +0100

kpmcore (21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:06:30 +0100

kpmcore (21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 13:00:28 +0100

kpmcore (21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 17 Jul 2021 19:07:54 +0100

kpmcore (21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:47:40 +0100

kpmcore (21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:44:41 +0100

kpmcore (21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:11:15 +0100

kpmcore (21.04.0-0ubuntu1) impish; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.04.0)
  * Drop upstream_2ea9ff49_fix_smartctl_exit_status_success_check.patch

  [ José Manuel Santamaría Lema ]
  * Use kf5 addon for dh, provides lintian and list-missing when
    building for Kubuntu
  * Rename libkpmcore10 -> libkpmcore11 due to SONAME change
  * Update symbols file

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 02:09:49 +0100

kpmcore (20.12.3-2ubuntu1) hirsute; urgency=medium

  * Mark symbols as optional that are not seen when building with lto.

 -- Rik Mills <rikmills@kde.org>  Tue, 23 Mar 2021 13:13:18 +0000
