=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Jonathan Carter <jcc@debian.org>,
-           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.1~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.73~),
@@ -25,9 +24,10 @@
 
 Package: libkpmcore11
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: libkpmcore10, libkpmcore4, libkpmcore7, libkpmcore8, libkpmcore9
-Breaks: libkpmcore10, libkpmcore4, libkpmcore7, libkpmcore8, libkpmcore9
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Replaces: libkpmcore4, libkpmcore7, libkpmcore8, libkpmcore9, libkpmcore10
+Breaks: libkpmcore4, libkpmcore7, libkpmcore8, libkpmcore9, libkpmcore10
 Description: KDE Partition Manager Core
  KDE Parition Partition Manager Core (KPM core) allows
  software to re-use common partitioning GUI tasks.
@@ -39,7 +39,9 @@
 Package: libkpmcore-dev
 Section: libdevel
 Architecture: any
-Depends: libkpmcore11 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libkpmcore11 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
 Replaces: libkpmcore4-dev
 Description: KDE Partition Manager Core development files
  KDE Parition Partition Manager Core (KPM core) allows
