=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kpmcore
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Jonathan Carter <jcc@debian.org>,
 Build-Depends: cmake (>= 3.1~),
@@ -19,8 +20,8 @@
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/system/kpmcore
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpmcore
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpmcore.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpmcore
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpmcore
 
 Package: libkpmcore11
 Architecture: any
