## kpmcore 22.08.1

=== debian/changelog ===
kpmcore (22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:44:06 +0100

kpmcore (22.08.0-0ubuntu2) kinetic; urgency=medium

  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Aug 2022 16:52:13 +0100

kpmcore (22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:53:35 +0100

kpmcore (22.04.3-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep our symbols file.
    - Update unstream signing key.

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Aug 2022 14:47:56 +0100

kpmcore (22.04.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libkpmcore-dev: Add Multi-Arch: same.

  [ Jonathan Carter ]
  * New upstream release
  * Bump soname version to 12
  * Update symbols file
  * Update copyright years

 -- Jonathan Carter <jcc@debian.org>  Wed, 10 Aug 2022 11:16:13 +0200

kpmcore (22.04.3-0ubuntu3) kinetic; urgency=medium

  * Update symbols for riscv64.

 -- Rik Mills <rikmills@kde.org>  Sun, 31 Jul 2022 06:51:07 +0100

kpmcore (22.04.3-0ubuntu2) kinetic; urgency=medium

  * Update symbols files, marking optional=gccinternal to prevent FTBFS

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 29 Jul 2022 13:22:45 +0100

kpmcore (22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:31:20 +0100

kpmcore (22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:05:46 +0100

kpmcore (22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Bump SONAME according to upstream changes:
    - libkpmcore11 -> libkpmcore12
  * Update symbols.
  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:04:45 +0100

kpmcore (21.12.3-3) unstable; urgency=medium

  * Team upload.
  * Update symbols file from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Thu, 28 Jul 2022 16:40:30 +0200

kpmcore (21.12.3-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Remove inactive Uploaders.
  * Remove the libkpmcore4-dev replaces in libkpmcore-dev, as the rename was
    done before Debian Buster.
  * Remove the libkpmcore4, libkpmcore8, and libkpmcore9 breaks/replaces in
    libkpmcore11: they either refer to versions older than Debian Buster, or
    to development versions between Buster and Bullseye.
  * Update symbols file. (Closes: #1012963)

 -- Pino Toscano <pino@debian.org>  Thu, 28 Jul 2022 05:57:48 +0200

kpmcore (21.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update symbols file from the logs of buildds.
  * CI: enable blhc, as it should work fine now.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16.0
  * Remove the unused ${shlibs:Depends} substvar from libkpmcore-dev.

 -- Pino Toscano <pino@debian.org>  Mon, 07 Mar 2022 07:56:22 +0100

kpmcore (21.12.2-3) unstable; urgency=medium

  * More symbols fixes for armel and riscv64.
  * Add Build-Depends-Package to symbols file.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 18 Feb 2022 13:24:03 +0100

kpmcore (21.12.2-2) unstable; urgency=medium

  * Fix symbols for armel and riscv64.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 18 Feb 2022 11:16:31 +0100

kpmcore (21.12.2-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Thu, 17 Feb 2022 11:19:15 +0200

kpmcore (21.12.1-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.6.0
  * Update symbols

 -- Jonathan Carter <jcc@debian.org>  Thu, 20 Jan 2022 11:57:01 +0200
