=== debian/control ===
--- 
+++ 
@@ -17,18 +17,17 @@
                pkg-config,
                pkg-kde-tools,
                qtbase5-dev (>= 5.14.0~),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/system/kpmcore
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpmcore
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpmcore
 
-Package: libkpmcore11
+Package: libkpmcore12
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-Replaces: libkpmcore4, libkpmcore7, libkpmcore8, libkpmcore9, libkpmcore10
-Breaks: libkpmcore4, libkpmcore7, libkpmcore8, libkpmcore9, libkpmcore10
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Replaces: libkmpcore11, libkpmcore10, libkpmcore9
+Breaks: libkpmcore11, libkpmcore10, libkpmcore9
 Description: KDE Partition Manager Core
  KDE Parition Partition Manager Core (KPM core) allows
  software to re-use common partitioning GUI tasks.
@@ -40,10 +39,10 @@
 Package: libkpmcore-dev
 Section: libdevel
 Architecture: any
-Depends: libkpmcore11 (= ${binary:Version}),
+Depends: libkpmcore12 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Replaces: libkpmcore4-dev
+Multi-Arch: same
 Description: KDE Partition Manager Core development files
  KDE Parition Partition Manager Core (KPM core) allows
  software to re-use common partitioning GUI tasks.
